## yaku-ns 0.2

=== Makefile ===
# YAKU-NS Makefile
#
# Copyright (C) 2000 by Salvatore Sanfilippo
# <antirez@invece.org>

.SUFFIXES:
.SUFFIXES: .c .o

SHELL= /bin/sh
CFLAGS= -W -Wall -O2 -g
AR=/usr/bin/ar

INSTALL= /usr/bin/install
INSTALL_PROGRAM= $(INSTALL)
INSTALL_DATA= $(INSTALL) -m 644
DESTDIR= /usr/bin/

PROGRAMS= yaku-ns yaku-getzone
YAKUNS_OBJECTS= acl.o arr.o axfr_out.o autoptr.o cache.o config.o core.o \
		dns.o forward.o local.o log.o htkey.o \
		misc.o unix.o uptime.o aht.o strlcpy.o strlcat.o \
		signal.o response.o rlimit.o
GETZONE_OBJECTS= getzone.o dns.o strlcpy.o

all: .depend yaku-ns yaku-getzone success

.depend:
	@echo Making dependences
	@$(CC) -MM *.c > .depend

.c.o:
	$(CC) -I. $(CFLAGS) $(DEFS) -c $< -o $@

yaku-ns:	$(YAKUNS_OBJECTS)
		$(CC) $(LDFLAGS) $^ -o $@

yaku-getzone:	$(GETZONE_OBJECTS)
		$(CC) $(LDFLAGS) $^ -o $@

strip:
	strip $(PROGRAMS)
	@ls -l $(PROGRAMS)

install:
	@echo See the INSTALL file

clean:
	rm -f *.o core .depend .nfs* */.nfs* .*.swp $(PROGRAMS)

success:
	@echo
	@echo Compilation successful!
	@echo Now you can read the INSTALL file

distclean:
mostlyclean:

dist: clean sign tar

tar:
	if [ "x" = "x$(RELEASE)" ]; then \
		d=`date -Iseconds | cut -d+ -f1 | tr -- :T -.`; \
		v=`grep VERSION tunable.h | cut -d\" -f2`; \
		b=`echo yaku-ns-$$v-$$d`; mkdir ../$$b; cp -a . ../$$b; \
		cd ..; read; tar cvzf $$b.tar.gz $$b; \
	else \
		v=`grep VERSION tunable.h | cut -d\" -f2`; \
		b=`echo yaku-ns-$$v`; mkdir ../$$b; cp -a . ../$$b; \
		cd ..; read; tar cvf - $$b | gzip -9 > $$b.tar.gz; \
		read; tar cvf - $$b | bzip2 -9 > $$b.tar.bz2; \
	fi; \
	ls -l $$b.tar.*

wc:
	cat *.[ch] | sed -e /^$$/d | wc -l

sign:
	rm -f SUM.SIGNED*
	-(md5sum * 2> /dev/null > MD5SUM.SIGNED)
	pgp -sta MD5SUM.SIGNED
	rm -f MD5SUM.SIGNED

#check:
#	md5sum -vc MD5SUM.SIGNED.asc

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
yaku-ns (0.2-6) unstable; urgency=medium

  * d/control:
    - add Vcs fields.
    - drop Rules-Requires-Root.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Sun, 04 Jan 2026 00:54:40 +0000

yaku-ns (0.2-5) unstable; urgency=medium

  * Build using default build flags. (Closes: #1119635)
  * Bump standards version to 4.7.2.
  * d/control: drop essential dep: sysvinit-utils
  * d/copyright: update FSF address.
  * d/yaku-ns.service: systemd service added.

 -- Alex Myczko <tar@debian.org>  Thu, 30 Oct 2025 09:54:32 +0100

yaku-ns (0.2-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/copyright: bump years.
  * d/control: update lsb-base Depends to sysvinit-utils.

 -- Alex Myczko <tar@debian.org>  Tue, 18 Jun 2024 13:13:40 +0000

yaku-ns (0.2-3) unstable; urgency=medium

  * Apply patch to fix embedded build paths. Thanks Vagrant
    Cascadian. (Closes: #1020882)

 -- Gürkan Myczko <tar@debian.org>  Wed, 05 Oct 2022 09:55:17 +0200

yaku-ns (0.2-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Jul 2022 12:32:47 +0200

yaku-ns (0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #648436)

 -- Gürkan Myczko <tar@debian.org>  Fri, 10 Jun 2022 22:08:43 +0200

=== debian/control ===
Source: yaku-ns
Section: net
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13)
Vcs-Browser: https://salsa.debian.org/debian/yaku-ns
Vcs-Git: https://salsa.debian.org/debian/yaku-ns.git
Standards-Version: 4.7.2
Homepage: https://github.com/antirez/yaku-ns

Package: yaku-ns
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, procps
Description: small footprint, trivial to configure, DNS server
 This is a simple and small DNS server.
 Major features are:
  - Support for A, MX, NS, TXT, PTR, SOA in local resource records
  - Additional RRs handling
  - Responses cache, with optional TTL expiration
  - Forwarding to multiple exteral DNS servers, with simultaneous or
    time-driven query
  - Optional TCP zone transfer
  - A in RRs shuffling
  - Built-in ACL rules
  - Root privileges squashing
  - Chroot jail under unix systems
  - Secure DNS IDs to prevent DNS forget
  - Logging
  - Very simple config file
